Package javax.help

# Class CSH.DisplayHelpFromFocus

java.lang.Object
javax.help.CSH.DisplayHelpFromFocus

All Implemented Interfaces:
  `ActionListener`, `EventListener`

Enclosing class:
  `CSH`

public static class CSH.DisplayHelpFromFocus extends Object implements ActionListener
An ActionListener that displays the help of the object that currently has focus. This method is used to enable HelpKey action listening for components other than the RootPane. This listener determines if the object with the current focus has a helpID. If it does, the helpID is displayed, otherwise the helpID on the action's source is displayed (if one exists).

See Also:
  - invalid reference

        HelpBroker.enableHelpKey

## Constructor Summary

Constructors
Constructor
Description
`DisplayHelpFromFocus(HelpBroker hb)`
`DisplayHelpFromFocus(HelpSet hs, String presentation, String presentationName)`
Create a DisplayHelpFromFocus actionListener for a given HelpSet.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DisplayHelpFromFocus

public DisplayHelpFromFocus(HelpBroker hb)

### DisplayHelpFromFocus

public DisplayHelpFromFocus(HelpSet hs, String presentation, String presentationName)
Create a DisplayHelpFromFocus actionListener for a given HelpSet. Display the results in specific Presentation of given PresentationName.

Parameters:
  `hs` - A valid HelpSet.
  `presention` - A valid javax.help.Presentation class. Throws an IllegalArgumentException if the presentation class cannot instantiated.
  `name` - The name of the presentation. This will retrieve the presentation details from the HelpSet hs if one exists. For some Presentation this name will also indicate the "named" Presentation to display the information in.
Throws:
  `NullPointerException` - if hs is Null.
  `IllegalArgumentException` - if presentation is not valid.

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)

Specified by:
  `actionPerformed` in interface `ActionListener`